### Function

# Shell util_translate_time_string

#### Declaration [src]

    const char*
    shell_util_translate_time_string (
      const char* str
    )

#### Description [src]

Translate `str` according to the locale defined by LC_TIME; unlike dcgettext(), the translations is still taken from the LC_MESSAGES catalogue and not the LC_TIME one.

#### Parameters

`str`

  Type: `const char*`

  String to translate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The translated string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.